Bug 76029 - Impress with 2 display : Slides view doesn't auto-scroll in presenter console with navigation by Next or with arrow key (out of screen if enough slides so non-visible)
Summary: Impress with 2 display : Slides view doesn't auto-scroll in presenter console...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: repro:6.0+
Keywords: implementationError, skillUI
Depends on:
Blocks: Slide-Show Presenter-Console
  Show dependency treegraph
 
Reported: 2014-03-11 12:17 UTC by Michael Meier
Modified: 2022-04-28 04:05 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot of problem (86.47 KB, image/png)
2014-03-11 12:17 UTC, Michael Meier
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meier 2014-03-11 12:17:11 UTC
Created attachment 95596 [details]
Screenshot of problem

Steps to reproduce
- open a presentation with many slides
- launch presentation with 2 display
- switch to "slide mode" in presenter console
- navigate through slides by pressing arrow keys or mouse button

Expected behavior :
- active slide should stay visible in presenter console

Current behavior :
- active slide disappears in presenter console


Setup :
LibreOffice 4.2.1.1 
Impress 
using 2 Display and presenter console
Comment 1 sophie 2014-03-11 12:56:42 UTC Comment hidden (obsolete)
Comment 2 Michael Meier 2014-03-12 13:13:27 UTC
(In reply to comment #1)
> I can not reproduce with Version: 4.2.2.1
> Build ID: 3be8cda0bddd8e430d8cda1ebfd581265cca5a0f Ubuntu 13.10. Sophie

Thanks for quick response.

I checked with version 4.2.2.1. Problem still exists.

Maybe I didn't explain very well.

I use a presentation of 10+ slides and 2 displays. One 
display shows presentation and second shows presenter 
console in "Slides" mode as seen in attached screenshot.

I start presentation and walk through the slides by using
arrow keys. Presenter console shows 9 complete slides. 
This number of shown slides depends on size of display.
Active slide is marked by grey frame around slide.

Now I reach 10-th slide. 10-th slide is shown on first 
display (presentation). It's marked as active by grey 
frame on presenter console (second display).  But it's
not shown completely. The slides don't scroll. 

This disturbs usebility because you want to be focused
at your slides and don't want to make slides visible at
presenter console by additionally using scrollbar.

You may compare with digikam while looking through a set 
of fotos. You can navigate with arrow keys and active foto 
is always completely shown.
Comment 3 sophie 2014-03-12 14:09:59 UTC
Hi, ok, now I understand and reproduce, scrolling with navigation keys doesn't work. Thanks for your explanation - Set as New - Sophie
Comment 4 Joel Madero 2015-05-02 15:44:25 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2016-09-20 09:38:04 UTC Comment hidden (obsolete)
Comment 6 Timur 2019-10-24 07:50:11 UTC
Repro 6.3. 
What adds more to the bug is that we also cannot scroll by mouse, arrows, keyboard keys.. just with a slider.
Comment 7 QA Administrators 2022-04-28 04:05:47 UTC
Dear Michael Meier,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug